Bug 174916 - Systems /var/log/messages file fills with same error
Systems /var/log/messages file fills with same error
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Alan Cox
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-03 19:57 EST by Jeff Burke
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 11:37:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Burke 2005-12-03 19:57:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
While kernel testing. Systems /var/log/message log fills with the following message.

While running netconsole the netconsole servers created a 15G file filled with the following messge. This message should be rate limited. 

System Error on 0000:00:04.0 0000:00:04.0
PCI- Signalled System Error on 0000:00:06.0 0000:00:06.0
PCI- Signalled System Error on 0000:00:08.0 0000:00:08.0
PCI- Master Data Parity Error on 0000:00:08.0 0000:00:08.0
PCI- Detected Parity Error on 0000:00:08.0 0000:00:08.0
PCI- Signalled System Error on 0000:00:08.0 0000:00:08.0
PCI- Master Data Parity Error on 0000:00:08.0 0000:00:08.0
PCI- Detected Parity Error on 0000:00:08.0 0000:00:08.0

I am unsure if the system actually has faulty memory or not. But I believe that regardless if there is actual parity error we should not fill the log with the same message. Additional serious error messages in the log could be lost/missed by the sysadmin.

Version-Release number of selected component (if applicable):
kernel-2.6.9-24.EL

How reproducible:
Always

Steps to Reproduce:
1.The system this was seen on is intels3e-3

  

Actual Results:  Both the netconsole and the /var/log/messages file filled up.

Expected Results:  This message should be limited in the number of times it can print.

Additional info:

This system is an rhts test system in the westford lab it may or maynot not have memory parity errors. I will test the memory in the system.

Note You need to log in before you can comment on or make changes to this bug.